Show / Hide Table of Contents

# Class ContextMenu

Provides an interface to modify context menus.

##### Inheritance

System.Object
ContextMenu

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class ContextMenu : IDisposable

### Constructors

| Improve this Doc View Source

#### ContextMenu()

Initializes a new instance of the ContextMenu class.

##### Declaration

    public ContextMenu()

### Events

| Improve this Doc View Source

#### ContextMenuOpened

Occurs when a context menu is opened by the game.

##### Declaration

    public event ContextMenuOpenedDelegate ContextMenuOpened

##### Event Type

Type | Description
--- | ---
ContextMenuOpenedDelegate |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable